/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)alrotzsc.c	1.5	9/19/95";
#include <farl.h>
#include <agl.h>

/*
 * ライトのＺ軸回転
 */
void
AGLRotateLightZSC(int ln, fix1015 SinZZ, fix1015 CosZZ)
{
     if (SinZZ == 0 && CosZZ == 0x7fff)	/* 回転角度０度の時 */
	  return;

     FarlSetSrcMatrix3x1(__AGLLight[ln].lightVector);
     FarlRotateZSC3x3M1015(SinZZ, CosZZ);
     FarlCopyDstTomem3x1((fix1015*)__AGLLight[ln].lightVector);
     __AGLLight[ln].lightChanged = 1;
}
